Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portlet.event
Interface EventPhaseListener

Deprecated. since 6.0. Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public interface EventPhaseListener

Portlets can implement the `EventPhaseListener` interface to execute code before any or after all events have been received. This a and all other event listener interfaces are only available for portlets using the IBM Portlet API, which extend the `org.apache.jetspeed.portlet.Portlet` class

To receive events, any of the following listener interfaces has to be implemented: `org.apache.jetspeed.portlet.event.MessageListener`, `org.apache.jetspeed.portlet.event.ActionListener`, `org.apache.jetspeed.portlet.event.PortletApplicationSettingsAttributesListener`, `org.apache.jetspeed.portlet.event.PortletSettingsAttributesListener`, `org.apache.jetspeed.portlet.event.WindowListener`, `org.apache.jetspeed.portlet.PortletPageListener`, `org.apache.jetspeed.portlet.PortletSessionListener`, `org.apache.jetspeed.portlet.PortletTitleListener`.

Since:
  5.0
Note:

  This interface is designed to be implemented by clients.

Method Summary
`void` | `beginEventPhase(PortletRequest portletRequest)` Deprecated. Invoked on all portlets implementing this interface before the event phase has begun, i.e., before any of the methods of the listener interfaces, e.g., `org.apache.jetspeed.portlet.event.ActionListener#actionPerformed`, have been executed.
`void` | `endEventPhase(PortletRequest portletRequest)` Deprecated. Invoked on all portlets implementing this interface after the event phase has completed, i.e., after all methods of the listener interfaces, e.g., `org.apache.jetspeed.portlet.event.ActionListener#actionPerformed`, have been executed.

Method Detail

### beginEventPhase

    void beginEventPhase(PortletRequest portletRequest)

  Deprecated.
  Invoked on all portlets implementing this interface before the event phase has begun, i.e., before any of the methods of the listener interfaces, e.g., `org.apache.jetspeed.portlet.event.ActionListener#actionPerformed`, have been executed.

  Parameters:
    `portletRequest` - the `PortletRequest` object that is sent to the portlet

### endEventPhase

    void endEventPhase(PortletRequest portletRequest)

  Deprecated.
  Invoked on all portlets implementing this interface after the event phase has completed, i.e., after all methods of the listener interfaces, e.g., `org.apache.jetspeed.portlet.event.ActionListener#actionPerformed`, have been executed.

  Parameters:
    `portletRequest` - the `PortletRequest` object that is sent to the portlet

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD